#ifndef ADMINSTRATORWINDOW_H
#define ADMINSTRATORWINDOW_H

/**
 * @file administratorwindow.h
 * @brief Administrator UI controller
 */

#include <QMainWindow>
#include <QSettings>
#include <QMenuBar>
#include <QListWidget>
#include <QPushButton>

class QMenu;
class QAction;

class AdministratorWindow : public QMainWindow
{
    Q_OBJECT

public:
    AdministratorWindow();

private slots:
    void createInstaller();
    void showSettings();
    void showHelp();
    void showAbout();

private:
    void createActions();
    void createMenuBar();
    void createContent();

    QSettings settings;

    QMenuBar *menuBar;

    QListWidget *certificateList;
    QPushButton *saveButton;
    QPushButton *loadButton;
    QPushButton *addButton;
    QPushButton *removeButton;
};

#endif // ADMINSTRATORWINDOW_H
